! Fortran 90 and PVM
! measure of communication performance
! Storage and specifications of measures.
!
! Laurent Gasser (lga@sma.ch)
! Swiss Meteorological Institute
! November 27, 1996
module metrics
implicit none

 integer, parameter :: F90_basic_types  = 5
 integer, parameter :: INTEGER_TYPE     = 1
 integer, parameter :: REAL_TYPE        = 2
 integer, parameter :: COMPLEX_TYPE     = 3
 integer, parameter :: LOGICAL_TYPE     = 4
 integer, parameter :: CHARACTER_TYPE   = 5

 type durations
   integer :: early
   integer :: late
 end type durations

 type measurements
   integer         :: items
   type(durations), dimension(F90_basic_types) :: duration
 end type measurements
    
 integer, parameter :: allowed_measures = 9
 type(measurements), dimension(1:allowed_measures) :: measure
end module metrics
